> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get approval

> Read one request held for approval.

**Operation ID:** `http.approvals.get`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/mcp/approvals/{id}
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/mcp/approvals/{id}
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/mcp/approvals/{id}:
    get:
      tags:
        - Projects and access
      summary: Get approval
      description: >-
        Read one request held for approval.


        Product guidance: [Credential](/concepts/credential),
        [Approval](/concepts/approval).
      operationId: http.approvals.get
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_approvals_get_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_approvals_get_response:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            operation:
              type: string
            source:
              type: string
              enum:
                - kit
                - agent
            created_at:
              type: string
            effects:
              type: array
              items:
                type: string
          required:
            - id
            - operation
            - source
          additionalProperties: {}
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.